diff mbox series

[U-Boot,09/15] test: Tidy up comments and variable name

Message ID 20180923224727.204542-10-sjg@chromium.org
State Superseded
Delegated to: Simon Glass
Headers show
Series test: Various test refinements and improvements | expand

Commit Message

Simon Glass Sept. 23, 2018, 10:47 p.m. UTC
The 'result' variable counts the number of failures in running the tests.
Rename it to 'failures' to make this more obvious. Also tidy up a few
comments.

Signed-off-by: Simon Glass <sjg@chromium.org>
---

 test/run | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
diff mbox series

Patch

diff --git a/test/run b/test/run
index b997d4bc2a4..73e6869fa2b 100755
--- a/test/run
+++ b/test/run
@@ -9,10 +9,10 @@  run_test() {
 	echo -n "$1: "
 	shift
 	$@
-	[ $? -ne 0 ] && result=$((result+1))
+	[ $? -ne 0 ] && failures=$((failures+1))
 }
 
-result=0
+failures=0
 
 # Run all tests that the standard sandbox build can support
 run_test "sandbox" ./test/py/test.py --bd sandbox --build
@@ -21,7 +21,10 @@  run_test "sandbox" ./test/py/test.py --bd sandbox --build
 run_test "sandbox_spl" ./test/py/test.py --bd sandbox_spl --build \
 	-k test_ofplatdata.py
 
-# Run tests for the flat DT version of sandbox
+# Run tests for the flat-device-tree version of sandbox. This is a special
+# build which does not enable CONFIG_OF_LIVE for the live device tree, so we can
+# check that functionality is the same. The standard sandbox build (above) uses
+# CONFIG_OF_LIVE.
 run_test "sandbox_flattree" ./test/py/test.py --bd sandbox_flattree --build
 
 # Set up a path to dtc (device-tree compiler) and libfdt.py, a library it
@@ -33,6 +36,7 @@  export DTC=${DTC_DIR}/dtc
 run_test "binman" ./tools/binman/binman -t
 run_test "patman" ./tools/patman/patman --test
 run_test "buildman" ./tools/buildman/buildman -t
+run_test "fdt" ./tools/dtoc/test_fdt -t
 run_test "dtoc" ./tools/dtoc/dtoc -t
 
 # This needs you to set up Python test coverage tools.
@@ -42,7 +46,7 @@  run_test "binman code coverage" ./tools/binman/binman -T
 run_test "dtoc code coverage" ./tools/dtoc/dtoc -T
 run_test "fdt code coverage" ./tools/dtoc/test_fdt -T
 
-if [ $result == 0 ]; then
+if [ $failures == 0 ]; then
 	echo "Tests passed!"
 else
 	echo "Tests FAILED"